Bug 909825 - FTBFS: xine-lib-1.1.21-4.fc18. Samba headers not found, xineplug_inp_smb.so cannot be added to the package
Summary: FTBFS: xine-lib-1.1.21-4.fc18. Samba headers not found, xineplug_inp_smb.so c...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xine-lib
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Kofler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-11 09:12 UTC by Radek Bíba
Modified: 2013-02-15 14:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-14 02:31:26 UTC
Type: Bug


Attachments (Terms of Use)

Description Radek Bíba 2013-02-11 09:12:50 UTC
Description of problem:
Fedora 18 now contains samba 4, which has header files in a special directory:

$ rpm -ql libsmbclient-devel
/usr/include/samba-4.0/libsmbclient.h
...

However, the ./configure script fails to find this file:

checking for smbc_init in -lsmbclient... yes
checking libsmbclient.h usability... no
checking libsmbclient.h presence... no
checking for libsmbclient.h... no
*** All libsmbclient dependent parts will be disabled ***

Here's a snippet from config.log:

...
configure:26521: checking libsmbclient.h usability
configure:26521: gcc -c -O2 -g   conftest.c >&5
conftest.c:111:26: fatal error: libsmbclient.h: No such file or directory
compilation terminated.
configure:26521: $? = 1
configure: failed program was:
...
| #include <libsmbclient.h>
configure:26521: result: no
configure:26521: checking libsmbclient.h presence
configure:26521: gcc -E   conftest.c
conftest.c:78:26: fatal error: libsmbclient.h: No such file or directory
compilation terminated.

Consequently, xine-lib is being rebuilt without the support for libsmbclient. But this fails because the spec file defines the .so file that's normally supposed to be built:

%{_libdir}/xine/plugins/%{plugin_abi}/xineplug_inp_smb.so

and rpmbuild doesn't find it at the end of the rebuild:

Processing files: xine-lib-extras-1.1.21-4.fc18.x86_64
error: File not found: <snip>/rpmbuild/BUILDROOT/xine-lib-1.1.21-4.fc18.x86_64/usr/lib64/xine/plugins/1.30/xineplug_inp_smb.so


Additional info:
The package that's now in Fedora 18 could be built because it was built when the buildroots contained samba 3, which had libsmbclient.h in /usr/include.

Comment 1 Fedora Update System 2013-02-12 15:42:28 UTC
xine-lib-1.1.21-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xine-lib-1.1.21-5.fc18

Comment 2 Fedora Update System 2013-02-13 04:30:04 UTC
Package xine-lib-1.1.21-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xine-lib-1.1.21-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2366/xine-lib-1.1.21-5.fc18
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2013-02-14 02:31:27 UTC
xine-lib-1.1.21-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Radek Bíba 2013-02-15 14:00:36 UTC
Thanks much!


Note You need to log in before you can comment on or make changes to this bug.